# ClientAuthentication

Represents an authentication on SMHW.

## Constructor

#### new ClientAuthentication(response)

Instantiate a ClientAuthentication object.

Parameters:

Name | Type | Description
--- | --- | ---
`response` | Object | The data for the object.

Source:
  - structures/ClientAuthentication.js, line 9

### Members

#### access_token :String

The access token to make authorised requests.

Type:

- String

Source:
  - structures/ClientAuthentication.js, line 14

#### created_at :Number

The timestamp when the authorisation was granted.

Type:

- Number

Source:
  - structures/ClientAuthentication.js, line 20

#### expires_in :Number

When the token expires. (in miliseconds)

Type:

- Number

Source:
  - structures/ClientAuthentication.js, line 26

#### refresh_token :String

The refresh token to refresh the access token.

Type:

- String

Source:
  - structures/ClientAuthentication.js, line 32

#### school_id :Number

The ID of the school which the authenticated user belongs in.

Type:

- Number

Source:
  - structures/ClientAuthentication.js, line 38

#### smhw_token :String

The access token to make authorised requests.

Type:

- String

Source:
  - structures/ClientAuthentication.js, line 44

#### token_type :String

The type of token granted.

Type:

- String

Source:
  - structures/ClientAuthentication.js, line 50

#### user_id :Number

The ID of the user which the authentication grants access to.

Type:

- Number

Source:
  - structures/ClientAuthentication.js, line 56

#### user_type :String

The type of user which the authentication grants access to.

Type:

- String

Source:
  - structures/ClientAuthentication.js, line 62